View Issue Details

IDProjectCategoryView StatusLast Update
0000744SymmetricDSBugpublic2014-02-02 20:52
ReporterevfvadimAssigned Tochenson 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000744: Inefficient 'Sort by Foreign Keys' algorithm
DescriptionFor our set of 651 tables with quite a lot of foreign keys the sorting took more than 30 min.
Additional InformationI attached fixed org.jumpmind.db.model.Database class. The sortByForeignKeys method was completely rewritten to implement simplified topological sorting. There is also new sortByForegnKeysVisit private method used to walk the dependency graph.
TagsNo tags attached.

Activities

evfvadim

2012-07-30 23:57

reporter  

Database.java (20,601 bytes)

Related Changesets

SymmetricDS: master 12cd22fc

2012-07-31 08:38:22

chenson

Details Diff
0000744: Inefficient 'Sort by Foreign Keys' algorithm
0000744
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File

Issue History

Date Modified Username Field Change
2012-07-30 23:57 evfvadim New Issue
2012-07-30 23:57 evfvadim File Added: Database.java
2012-07-31 08:37 chenson Assigned To => chenson
2012-07-31 08:37 chenson Status new => assigned
2012-07-31 08:37 chenson Fixed in Version => 3.1.0
2012-07-31 08:37 chenson Target Version => 3.1.0
2012-07-31 08:38 chenson Status assigned => resolved
2012-07-31 08:38 chenson Resolution open => fixed
2012-08-14 07:58 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6117
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 12cd22fc